#!/usr/bin/env php
<?php

// start, stop, restart a mysql instance

$rc = 0;

$basedir   = $_ENV['MYENV_BASE'];
require("$basedir/lib/myEnv.inc");

if ( count($argv) != 3 ) {
  $rc = 4;
  echo "Wrong command. Command must be database <instance_name> {start|stop|restart|status}\n";
  exit($rc);
}

$lInstance = $argv[1];
$lCommand  = $argv[2];

$lHomeDir  = $_ENV['HOME'];
$lBaseDir  = $_ENV['MYENV_BASE'];
$lDebug    = $_ENV['DEBUG'];
$lBaseDir  = $lHomeDir . '/myenv';
$lConfFile = $lBaseDir . '/' . 'etc/' . 'myenv.conf';

if ( file_exists($lConfFile) ) {
  $aConfiguration = parse_ini_file($lConfFile, true);
}

if ( ! array_key_exists($lInstance, $aConfiguration) ) {
  $rc = 5;
  echo "Instance $lInstance does NOT exist in your conf.\n";
  exit($rc);
}

switch ( $lCommand ) {
case 'start':
  $ret = start_database($aConfiguration[$lInstance]);
  if ( $ret != 0 ) {
    error("Starting database $lInstance failed.");
    $rc = 20;
  }
  break;
case 'stop':
  $ret = stop_database($aConfiguration[$lInstance]);
  if ( $ret != 0 ) {
    error("Stopping database $lInstance failed.");
    $rc = 21;
  }
  break;
case 'status':
  $ret = check_database($aConfiguration[$lInstance]);
  if ( $ret != 0 ) {
    error("Check on database $lInstance failed.");
    $rc = 23;
  }
  break;
case 'restart':
  $ret = stop_database($aConfiguration[$lInstance]);
  if ( $ret != 0 ) {
    error("Stopping database $lInstance failed.");
    $rc = 24;
  }
  $ret = start_database($aConfiguration[$lInstance]);
  if ( $ret != 0 ) {
    error("Starting database $lInstance failed.");
    $rc = 25;
  }
  break;
default:
  $rc = 6;
  echo "ERROR: #$rc\n";
}

exit($rc);

?>
